• All Community
    • All Community
    • Forums
    • Ideas
    • Blogs
Advanced

Not what you are looking for? Ask the experts!

Kudos0

Version compatibility for Internet Security

I have been given a version of Internet Secuity for the Mac which is later than the OS version I am running (OS 10.5.8) for a Power PC. What version should I have and where can I find it to download?

Replies

Kudos0

Re: Version compatibility for Internet Security

I have been given a version of Internet Secuity for the Mac which is later than the OS version I am running (OS 10.5.8) for a Power PC. What version should I have and where can I find it to download?

Kudos0

Re: Version compatibility for Internet Security

You can use NIS 4.1 with your machine and OS version.  It isn't being sold separately any longer but is included on the NIS 5 CD or dmg under the "For Mac OS X 10.4 - 10.6 Users" folder.

This thread is closed from further comment. Please visit the forum to start a new thread.